glibmm 2.30.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# Glib::Value< unsigned long > Class Template Reference
Generic Values

`#include <glibmm/value_basictypes.h>`

Inheritance diagram for Glib::Value< unsigned long >:
[legend]

List of all members.

## Public Types
typedef unsigned long | CppType
typedef gulong | CType
## Public Member Functions
void | set (unsigned long data)
unsigned long | get () const
## Static Public Member Functions
static GType | value_type ()

### template <>
class Glib::Value< unsigned long >

## Member Typedef Documentation

typedef unsigned long Glib::Value< unsigned long >::CppType

typedef gulong Glib::Value< unsigned long >::CType

## Member Function Documentation

unsigned long Glib::Value< unsigned long >::get | ( |  | ) | const

void Glib::Value< unsigned long >::set | ( | unsigned long | data | ) |

static GType Glib::Value< unsigned long >::value_type | ( |  | ) | `[static]`